## Features

* Case sensitive command line interface
* Native IEEE 754 with 15 significant digits
* Calculations with real and complex numbers
* Variables and user defined functions
* Logarithmic and exponential functions
* Trigonometric and hyperbolic functions
* Mathematical constants and rounding functions
* Disk functions to load, save and view content
* Comprehensive and easy to use built-in help
* Optimized 68000, 68020, 68040 and FPU versions
* Freely distributable sources (BSD license)

Install by copying the desired amath binary to C: or any other appropriate location.

## Example of usage

    Open amath in its own window:
    > amath

    Do a calculation in shell:
    > amath 1.2+1.4

    Get an interactive prompt in shell:
    > amath shell

    Show version string:
    > amath version

    Run regression tests:
    > amath-test test

    Load amath into memory:
    > resident amath pure

Get more details on usage by visiting the amath [wiki](https://github.com/llsth/amath/wiki).

Download latest stable release [amath-1.5.6](https://github.com/llsth/amath/releases/tag/v1.5.6)
or latest preview (unstable) [amath-1.6.0](https://github.com/llsth/amath/releases/tag/v1.6.0.3-preview) from github.
